Subject: Re: [PATCH] Multiple refs from the same remote in one git fetch

From: Jakub Narebski <[email-masked]>
Date: Mon, 14 Aug 2006 12:49:45 +0200

Michael S. Tsirkin wrote:

> Quoting r. Junio C Hamano <[email-masked]>:
[...]
>> I have been hesitant to claim that it does not make any sense to
>> use more than one tracking branch for the same remote branch,
>> because the only reason I might say so is because I haven't
>> thought of a good usage pattern to do so.
>> 
>> But apparently you do use more than one local branch to keep
>> track of one remote branch.  How do you use it for?  Do you feel
>> it is a good feature to be able to do that, or do you think it
>> is just a mistake and more sensible error message is what we
>> would really want?
>> 
> 
> Well, what I was *trying* to do is simply add a more descriptive name for
> the linus master branch to my existing tree.
> So it seemed like an obvious idea to add
> 
> Pull: master:origin
> Pull: master:linus_master

Couldn't you do this via symlinks or symrefs? 

BTW. Do we support symrefs other than HEAD, and does reflog works with
symref heads, and symlinked heads?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git